Class 'Contenido_SmartyWrapper' not found in

Fragen zur Installation von CONTENIDO 4.9? Probleme bei der Konfiguration? Hinweise oder Fragen zur Entwicklung des Systemes oder zur Sicherheit?
Antworten
soniccc
Beiträge: 20
Registriert: So 11. Jun 2006, 14:29
Kontaktdaten:

Class 'Contenido_SmartyWrapper' not found in

Beitrag von soniccc » Di 26. Apr 2016, 14:35

ich habe contenido aktualisiert von 9.2 auf 9.9. Nun gehen die Socialmedia Module nicht mehr, wie das Twitter Modul. In den Logs habe ich folgendes: PHP Fatal error: Class 'Contenido_SmartyWrapper' not found in /contenido/includes/frontend/include.front_content.php(750) : eval()'d code on line 122 und PHP Fatal error: Class 'Contenido_SmartyWrapper' not found in contenido/includes/include.con_editcontent.php(499) : eval()'d code on line 462. Wo ist das Problem?

Faar
Beiträge: 1560
Registriert: Sa 8. Sep 2007, 16:23
Wohnort: Brandenburg
Kontaktdaten:

Re: Class 'Contenido_SmartyWrapper' not found in

Beitrag von Faar » Di 26. Apr 2016, 18:07

Wurde überhaupt Smarty als Plugin installiert?
Falls ja, vielleicht hilft, Smarty einmal deinstallieren und wieder installieren.
Fliegt der Bauer übers Dach, ist der Wind weißgott nicht schwach.

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: Class 'Contenido_SmartyWrapper' not found in

Beitrag von frederic.schneider_4fb » Do 28. Apr 2016, 07:49

Der Fehler kommt i. d. R. nur, wie Faar richtig beschreibt, wenn das Smarty-Plugin nicht installiert oder nicht aktiviert ist, da anderweitig die Klassen nicht geladen werden.
Frederic Schneider
Entwickler bei der four for business AG

soniccc
Beiträge: 20
Registriert: So 11. Jun 2006, 14:29
Kontaktdaten:

Re: Class 'Contenido_SmartyWrapper' not found in

Beitrag von soniccc » Do 28. Apr 2016, 16:10

habe das Problem bei mehreren Versionen, wenn ich auf 4.9.9 aktualisiere. hatte auch auf php5.5 umgestellt. smarty wrapper ist installiert, wenn ich deaktivieren möchte, gibt es folgende Meldung: Dieses Plugin wird vom Plugin Form Assistant vorausgesetzt, sodass Sie es nicht deaktivieren können. Wenn ich deinstallieren möchte, gibt es folgende Meldung: Dieses Plugin wird vom Plugin Form Assistant vorausgesetzt, sodass Sie es nicht entfernen können.

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: Class 'Contenido_SmartyWrapper' not found in

Beitrag von frederic.schneider_4fb » Do 28. Apr 2016, 16:14

Achje, ich hätte vielleicht den Ursprungsbeitrag besser lesen sollen ;-). Du müsstest Deine alten Module (also hier vor allem die Social-Media-Module) umschreiben. Die Klasse heißt in der 4.9 nicht mehr "Contenido_SmartyWrapper", sondern "cSmartyWrapper"
Frederic Schneider
Entwickler bei der four for business AG

rethus
Beiträge: 1838
Registriert: Di 28. Mär 2006, 11:55
Wohnort: Mönchengladbach
Kontaktdaten:

Re: Class 'Contenido_SmartyWrapper' not found in

Beitrag von rethus » Fr 6. Mai 2016, 19:25

Wenn du dann gleich dabei bist, achte auch darauf, dass Variablen nun wie im "richtigen" Smarty mit $ benutzte werden: {$meineVar} und nicht wie im "alten Contenido" nur in geschweiften Klammern {meineVar}
Could I help you... you can help me... buy me a coffee . (vielen ❤ Dank an: Seelauer, Peanut, fauxxami )

xstable.com: - HighSpeed Hosting, Domains, DomainReselling, Linux-Administration
suther.de: - App-Programierung, High-Performance-Webpages, MicroServices, API-Anbindungen & Erstellung

Software... ein Blick wert: GoogleCalender Eventlist, xst_dynamic_contentType

Antworten